# uopz_copy

(PECL uopz 1 >= 1.0.4, PECL uopz 2)

uopz_copy — Copie une fonction

Avertissement

Cette fonction a été SUPPRIMEE dand PECL uopz 5.0.0.

### Description

uopz_copy(string `$function`): Closure
uopz_copy(string `$class`, string `$function`): Closure

Copie une fonction à partir de son nom.

### Liste de paramètres

`class`

  Le nom de la classe contenant la fonction à copier

`function`

  Le nom de la fonction

### Valeurs de retour

Une closure pour la fonction spécifiée.

### Exemples

Exemple #1 Exemple avec uopz_copy()

`<?php
$strtotime = uopz_copy('strtotime');
uopz_function("strtotime", function($arg1, $arg2) use($strtotime) {
/* on peut appeler la fonction strtotime original depuis ici */
var_dump($arg1);
});
var_dump(strtotime('dummy'));
?>`

L'exemple ci-dessus va afficher :

    string(5) "dummy"